Package tigase.workgroupqueues.modules.muc

## Class MucControllerModule

- java.lang.Object
- - tigase.workgroupqueues.modules.AbstractModule
  - - tigase.workgroupqueues.modules.muc.MucControllerModule

- All Implemented Interfaces:
    `Module`

      @Bean(name="MucControllerModule",
            active=true)
      public class MucControllerModule
      extends AbstractModule

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ID` |

    - ### Fields inherited from class tigase.workgroupqueues.modules.AbstractModule

      `writer, XMLNS`

    - ### Fields inherited from interface tigase.component.modules.Module

      `EMPTY_FEATURES`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MucControllerModule()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addAgent​(Queue queue, Room room, Agent agent, AsyncCallback asyncCallback)` |
    `void` | `addUser​(Queue queue, Room room, User user, AsyncCallback asyncCallback)` |
    `void` | `createRoom​(Queue queue, Room room, AsyncCallback asyncCallback)` |
    `void` | `destroyRoom​(Queue queue, Room room)` |
    `java.lang.String` | `generateRoomName()` |
    `java.lang.String[]` | `getFeatures()` | Returns XMPP features offered by module.
    `Criteria` | `getModuleCriteria()` | Returns critera used by Component to select module to handle incoming stanza.
    `void` | `process​(Packet packet)` | Process incoming stanza.

    - ### Methods inherited from class tigase.workgroupqueues.modules.AbstractModule

      `write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.component.modules.Module

      `canHandle`

- - ### Field Detail

    - #### ID

          public static final java.lang.String ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MucControllerModule

          public MucControllerModule()

  - ### Method Detail

    - #### addAgent

          public void addAgent​(Queue queue,
                               Room room,
                               Agent agent,
                               AsyncCallback asyncCallback)
                        throws TigaseStringprepException

      Throws:
        `TigaseStringprepException`

    - #### addUser

          public void addUser​(Queue queue,
                              Room room,
                              User user,
                              AsyncCallback asyncCallback)
                       throws TigaseStringprepException

      Throws:
        `TigaseStringprepException`

    - #### createRoom

          public void createRoom​(Queue queue,
                                 Room room,
                                 AsyncCallback asyncCallback)
                          throws TigaseStringprepException

      Throws:
        `TigaseStringprepException`

    - #### destroyRoom

          public void destroyRoom​(Queue queue,
                                  Room room)
                           throws TigaseStringprepException

      Throws:
        `TigaseStringprepException`

    - #### generateRoomName

          public java.lang.String generateRoomName()

    - #### getFeatures

          public java.lang.String[] getFeatures()

      Description copied from interface: `Module`
      Returns XMPP features offered by module. Features will be returned by Service Discovery.
      Returns:
        array of features or `null`.

    - #### getModuleCriteria

          public Criteria getModuleCriteria()

      Description copied from interface: `Module`
      Returns critera used by Component to select module to handle incoming stanza.
      Returns:
        criteria of selecting module.

    - #### process

          public void process​(Packet packet)
                       throws ComponentException,
                              TigaseStringprepException

      Description copied from interface: `Module`
      Process incoming stanza.
      Parameters:
        `packet` - received `stanza`.
      Throws:
        `ComponentException` - if stanza can't be processed correctly. ComponentException is converted to error stanza and returned to stanza sender.
        `TigaseStringprepException` - if there was an error during stringprep processing.